//
//  Aquarium.swift
//  Classe - Aquarium
//
//  Created by camtasia01 on 2014-10-21.
//  Copyright (c) 2014 Production sur support. All rights reserved.
//
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

import Foundation

class Aquarium {
    
    var dimension:Int
    var population:[Poisson]?
    
    init(individus:Array<Poisson>, dimension:Int) {
        self.dimension = dimension
        population = individus
    }

    func quiSuisJe() -> String {
    
        var uneDescription = "Je suis un Aquarium de \(dimension) gallon(s) avec les poissons suivants:\n"
        for poisson in population! {
            uneDescription += poisson.quiSuisJe()
        }
        return uneDescription
    }
}