//
//  PoissonVolant.swift
//  Classe - Aquarium
//
//  Created by camtasia01 on 2014-10-21.
//  Copyright (c) 2014 Production sur support. All rights reserved.
//
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

import Foundation


class PoissonVolant: Poisson {
    var hauteurDuVol:Int

    init(nomPoisson: String, force: Int, hauteurDuVol:Int) {
        // Note: Il faut initialiser les propriétés avant l'appel de la super classe.
        self.hauteurDuVol = hauteurDuVol
        super.init(nomPoisson: nomPoisson, force: force)
    } // init

    required init(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    /**
    Je retourne une jolie description du poisson volant
    */

    override func quiSuisJe() ->String {
        return "\n------------------\nJe suis une poisson volant de type:\(nomPoisson) et je saute à \(hauteurDuVol) pied(s)\n"
    } // quiSuisJe()

    
} // PoissonVolant